# Class MeasuringConnectionManager

PoolingClientConnectionManager
org.apache.jmeter.protocol.http.sampler.MeasuringConnectionManager

public class MeasuringConnectionManager extends PoolingClientConnectionManager
Adapter for
invalid reference

    PoolingClientConnectionManager

that wraps all connection requests into time-measured implementation a private MeasuringConnectionRequest

## Constructor Summary

Constructors
Constructor
Description
`MeasuringConnectionManager(SchemeRegistry schemeRegistry, DnsResolver resolver)`

## Method Summary

Modifier and Type
Method
Description
`ClientConnectionRequest`
`requestConnection(HttpRoute route, Object state)`
`void`
`setSample(SampleResult sample)`

## Constructor Details

### MeasuringConnectionManager

public MeasuringConnectionManager(SchemeRegistry schemeRegistry, DnsResolver resolver)

## Method Details

### requestConnection

public ClientConnectionRequest requestConnection(HttpRoute route, Object state)

### setSample

public void setSample(SampleResult sample)